Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(27)

Issue 1181933002: Pull the Voice Activity Detector out from the AGC (Closed)

Created:
4 years ago by aluebs-webrtc
Modified:
4 years ago
CC:
Andrew MacDonald, bjornv1, hlundin-webrtc, kwiberg-webrtc, tterriberry_mozilla.com, webrtc-reviews_webrtc.org
Base URL:
https://chromium.googlesource.com/external/webrtc.git@master
Target Ref:
refs/pending/heads/master
Project:
webrtc
Visibility:
Public.

Description

Pull the Voice Activity Detector out from the AGC This change generates bit-exact values when running through audioproc_f than before. R=andrew@webrtc.org, bloch@google.com Committed: https://chromium.googlesource.com/external/webrtc/+/34be126c1b3ee60ecdb86b1de41a0648347450b2

Patch Set 1 #

Total comments: 52

Patch Set 2 : Convert some parts to float #

Total comments: 10

Patch Set 3 : Test without relying on golden output #

Total comments: 14

Patch Set 4 : Changed VoiceActivityDetectorTest to use vector #

Total comments: 4

Patch Set 5 : Add 32kHz tests #

Total comments: 10

Patch Set 6 : Define constants in tests #

Patch Set 7 : Remove unused files from isolate #

Unified diffs Side-by-side diffs Delta from patch set Stats (+874 lines, -2418 lines) Patch
M webrtc/modules/audio_processing/BUILD.gn View 3 chunks +20 lines, -18 lines 0 comments Download
M webrtc/modules/audio_processing/agc/agc.h View 1 2 chunks +4 lines, -15 lines 0 comments Download
M webrtc/modules/audio_processing/agc/agc.cc View 1 2 5 chunks +10 lines, -67 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc.h View 1 chunk +0 lines, -83 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc.cc View 1 chunk +0 lines, -269 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc_internal.h View 1 chunk +0 lines, -81 lines 0 comments Download
D webrtc/modules/audio_processing/agc/agc_audio_proc_unittest.cc View 1 chunk +0 lines, -61 lines 0 comments Download
M webrtc/modules/audio_processing/agc/agc_manager_direct.cc View 1 1 chunk +1 line, -1 line 0 comments Download
D webrtc/modules/audio_processing/agc/circular_buffer.h View 1 chunk +0 lines, -69 lines 0 comments Download
D webrtc/modules/audio_processing/agc/circular_buffer.cc View 1 chunk +0 lines, -136 lines 0 comments Download
D webrtc/modules/audio_processing/agc/circular_buffer_unittest.cc View 1 chunk +0 lines, -132 lines 0 comments Download
D webrtc/modules/audio_processing/agc/common.h View 1 chunk +0 lines, -27 lines 0 comments Download
D webrtc/modules/audio_processing/agc/gmm.h View 1 chunk +0 lines, -45 lines 0 comments Download
D webrtc/modules/audio_processing/agc/gmm.cc View 1 chunk +0 lines, -61 lines 0 comments Download
D webrtc/modules/audio_processing/agc/gmm_unittest.cc View 1 chunk +0 lines, -65 lines 0 comments Download
D webrtc/modules/audio_processing/agc/noise_gmm_tables.h View 1 chunk +0 lines, -77 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_based_vad.h View 1 chunk +0 lines, -56 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_based_vad.cc View 1 chunk +0 lines, -122 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_based_vad_unittest.cc View 1 chunk +0 lines, -71 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_internal.h View 1 chunk +0 lines, -26 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_internal.cc View 1 chunk +0 lines, -52 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pitch_internal_unittest.cc View 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pole_zero_filter.h View 1 chunk +0 lines, -50 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pole_zero_filter.cc View 1 chunk +0 lines, -111 lines 0 comments Download
D webrtc/modules/audio_processing/agc/pole_zero_filter_unittest.cc View 1 chunk +0 lines, -97 lines 0 comments Download
D webrtc/modules/audio_processing/agc/standalone_vad.h View 1 chunk +0 lines, -70 lines 0 comments Download
D webrtc/modules/audio_processing/agc/standalone_vad.cc View 1 chunk +0 lines, -96 lines 0 comments Download
D webrtc/modules/audio_processing/agc/standalone_vad_unittest.cc View 1 chunk +0 lines, -103 lines 0 comments Download
D webrtc/modules/audio_processing/agc/voice_gmm_tables.h View 1 chunk +0 lines, -77 lines 0 comments Download
M webrtc/modules/audio_processing/audio_processing.gypi View 3 chunks +20 lines, -18 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/common.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/gmm.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/gmm.cc View 3 chunks +8 lines, -5 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/gmm_unittest.cc View 1 chunk +3 lines, -3 lines 0 comments Download
A webrtc/modules/audio_processing/vad/noise_gmm_tables.h View 1 chunk +85 lines, -0 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_based_vad.h View 3 chunks +8 lines, -7 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_based_vad.cc View 4 chunks +11 lines, -9 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_based_vad_unittest.cc View 2 chunks +15 lines, -11 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_internal.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_internal.cc View 2 chunks +1 line, -2 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pitch_internal_unittest.cc View 2 chunks +6 lines, -6 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pole_zero_filter.h View 2 chunks +3 lines, -3 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pole_zero_filter.cc View 5 chunks +11 lines, -16 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/pole_zero_filter_unittest.cc View 1 chunk +28 lines, -23 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/standalone_vad.h View 1 chunk +1 line, -1 line 0 comments Download
A + webrtc/modules/audio_processing/vad/standalone_vad.cc View 3 chunks +3 lines, -6 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/standalone_vad_unittest.cc View 4 chunks +5 lines, -5 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_audio_proc.h View 4 chunks +9 lines, -8 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_audio_proc.cc View 12 chunks +43 lines, -38 lines 0 comments Download
A webrtc/modules/audio_processing/vad/vad_audio_proc_internal.h View 1 chunk +94 lines, -0 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_audio_proc_unittest.cc View 2 chunks +7 lines, -5 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_circular_buffer.h View 4 chunks +7 lines, -7 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_circular_buffer.cc View 6 chunks +17 lines, -15 lines 0 comments Download
A + webrtc/modules/audio_processing/vad/vad_circular_buffer_unittest.cc View 8 chunks +21 lines, -20 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_activity_detector.h View 1 2 1 chunk +70 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_activity_detector.cc View 1 2 1 chunk +87 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc View 1 2 3 4 5 1 chunk +168 lines, -0 lines 0 comments Download
A webrtc/modules/audio_processing/vad/voice_gmm_tables.h View 1 chunk +85 lines, -0 lines 0 comments Download
M webrtc/modules/modules.gyp View 2 chunks +8 lines, -7 lines 0 comments Download
M webrtc/tools/agc/activity_metric.cc View 3 chunks +6 lines, -6 lines 0 comments Download

Messages

Total messages: 19 (4 generated)
aluebs-webrtc
I know this CL looks mastodontic, but it is actually not THAT humongous. To motivate ...
4 years ago (2015-06-12 02:09:53 UTC) #2
bloch
I left a few comments on implementation details/choices. As such, you won't want to make ...
4 years ago (2015-06-12 23:34:37 UTC) #3
Andrew MacDonald
https://codereview.webrtc.org/1181933002/diff/1/resources/audio_processing/vad/rms.dat.sha1 File resources/audio_processing/vad/rms.dat.sha1 (right): https://codereview.webrtc.org/1181933002/diff/1/resources/audio_processing/vad/rms.dat.sha1#newcode1 resources/audio_processing/vad/rms.dat.sha1:1: eef89eb0ba1a2a9bc4722a3bfc56e1ffe2e6d753 Do you need to delete the corresponding files ...
4 years ago (2015-06-15 04:32:26 UTC) #4
aluebs-webrtc
https://codereview.webrtc.org/1181933002/diff/1/resources/audio_processing/vad/rms.dat.sha1 File resources/audio_processing/vad/rms.dat.sha1 (right): https://codereview.webrtc.org/1181933002/diff/1/resources/audio_processing/vad/rms.dat.sha1#newcode1 resources/audio_processing/vad/rms.dat.sha1:1: eef89eb0ba1a2a9bc4722a3bfc56e1ffe2e6d753 On 2015/06/15 04:32:25, andrew wrote: > Do you ...
4 years ago (2015-06-16 01:17:53 UTC) #5
Andrew MacDonald
Turaj, can you have a quick look to verify the changes in agc.cc and voice_activity_detector.cc? ...
4 years ago (2015-06-16 22:18:32 UTC) #7
aluebs-webrtc
https://codereview.webrtc.org/1181933002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector.cc File webrtc/modules/audio_processing/vad/voice_activity_detector.cc (right): https://codereview.webrtc.org/1181933002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector.cc#newcode50 webrtc/modules/audio_processing/vad/voice_activity_detector.cc:50: chunkwise_voice_probabilities_.clear(); On 2015/06/16 22:18:31, andrew wrote: > On 2015/06/16 ...
4 years ago (2015-06-17 01:44:31 UTC) #9
Andrew MacDonald
https://codereview.webrtc.org/1181933002/diff/60001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/60001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode23 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:23: const float kMaxNoiseProbability = 0.05f; Move these three to ...
4 years ago (2015-06-17 04:14:57 UTC) #10
aluebs-webrtc
https://codereview.webrtc.org/1181933002/diff/60001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/60001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode23 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:23: const float kMaxNoiseProbability = 0.05f; On 2015/06/17 04:14:57, andrew ...
4 years ago (2015-06-17 17:22:04 UTC) #12
Andrew MacDonald
lgtm https://codereview.webrtc.org/1181933002/diff/60001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/60001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode85 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:85: if (i > kNumChunksPerIsacBlock) { On 2015/06/17 17:22:04, ...
4 years ago (2015-06-17 21:15:15 UTC) #13
bloch
LGTM https://codereview.webrtc.org/1181933002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode36 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:36: const size_t kNumChunksPerIsacBlock = 3; At what point ...
4 years ago (2015-06-17 22:27:49 UTC) #14
aluebs-webrtc
I added 2 tests for 32kHz. PTAL. https://codereview.webrtc.org/1181933002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/1/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode36 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:36: const size_t ...
4 years ago (2015-06-18 00:49:22 UTC) #15
Andrew MacDonald
https://codereview.webrtc.org/1181933002/diff/120001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/120001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode25 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:25: const size_t kNumChunks = 100u; Is it worthwhile making ...
4 years ago (2015-06-18 02:02:52 UTC) #16
aluebs-webrtc
PTAL https://codereview.webrtc.org/1181933002/diff/120001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc File webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc (right): https://codereview.webrtc.org/1181933002/diff/120001/webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc#newcode25 webrtc/modules/audio_processing/vad/voice_activity_detector_unittest.cc:25: const size_t kNumChunks = 100u; On 2015/06/18 02:02:51, ...
4 years ago (2015-06-18 16:32:40 UTC) #17
Andrew MacDonald
lgtm
4 years ago (2015-06-18 17:52:58 UTC) #18
aluebs-webrtc
4 years ago (2015-06-18 19:34:09 UTC) #19
Message was sent while issue was closed.
Committed patchset #7 (id:160001) manually as
34be126c1b3ee60ecdb86b1de41a0648347450b2 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698